# -*-makefile-*-
#   xgps.make
#
#   Makefile flags and configs to build with the xgps library.
#
#   Copyright (C) 2001 Free Software Foundation, Inc.
#
#   Author:  Nicola Pero <n.pero@mi.flashnet.it>
#   Based on code originally in the gnustep make package
#
#   This file is part of the GNUstep Xgps Library.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

ifeq ($(XGPS_MAKE_LOADED),)
XGPS_MAKE_LOADED=yes

ifeq ($(BACKEND_BUNDLE),)
  GRAPHIC_LIBS=-ltiff  -lXft -lXmu -lX11 -lXext 
  GRAPHIC_CFLAGS=-I/usr/local/lib -I/usr/local/lib  -I/usr/X11R6/include
  GRAPHIC_LFLAGS=-L/usr/local/lib -L/usr/local/lib  -L/usr/X11R6/lib
  X_PRE_LIBS= -lSM -lICE

  BACKEND_LDFLAGS =
  BACKEND_LIBS = -lgnustep-xgps
  BACKEND_DEFINE = -DXGPS_BACKEND_LIBRARY=1

  SYSTEM_INCLUDES = $(CONFIG_SYSTEM_INCL) $(GRAPHIC_CFLAGS)
  SYSTEM_LDFLAGS =
  SYSTEM_LIB_DIR = $(GRAPHIC_LFLAGS)
  SYSTEM_LIBS = $(GRAPHIC_LIBS)
endif

endif # XGPS_MAKE_LOADED


